exception.hpp File Reference
`#include <exception>`

Go to the source code of this file.

## Classes

class | Gecode::Exception
| Exception: Base-class for exceptions More...
class | Gecode::MemoryExhausted
| Exception: Memory exhausted More...
class | Gecode::DynamicCastFailed
| Exception: dynamic cast failed More...
class | Gecode::OperatingSystemError
| Exception: operating system error More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace